mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇧🇷_BR_巴西
    type: vless
    server: 201.51.5.190
    port: 443
    uuid: 33de2596-d95d-412b-a8c2-410be7060ca3
    servername: de.sellflow.org
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: SbVKOEMjK0sIlbwg4akyBg5mL5KZwwB-ed4eEE7YnRc
    skip-cert-verify: true
    udp: true
  - name: 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
    type: vless
    server: 85.198.10.213
    port: 5050
    uuid: 06287fd2-c6af-49ab-9e48-451bd0eee1d4
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国
    type: vless
    server: 151.101.130.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    tls: false
    client-fingerprint: chrome
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.45
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.45
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_1
    type: vless
    server: 151.101.0.1
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.45
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国
    type: vless
    server: 104.167.198.198
    port: 443
    uuid: 69a2af58-d74a-44ca-864a-e09b493f4274
    servername: www.nvidia.com
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: 7kOgSBnHMeClMoLD0PdTQGflVNiYl47pT94TBsTXh1Y
      short-id: "8166"
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.45
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_2
    type: vless
    server: 151.101.2.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇷🇺_RU_俄罗斯
    type: vless
    server: 94.141.162.190
    port: 443
    uuid: 33de2596-d95d-412b-a8c2-410be7060ca3
    servername: sellflow.org
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: SbVKOEMjK0sIlbwg4akyBg5mL5KZwwB-ed4eEE7YnRc
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_3
    type: vless
    server: 151.101.194.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_4
    type: vless
    server: 199.232.197.131
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国_1
    type: vless
    server: assets.trorays.com
    port: 443
    uuid: b69a71ef-51dc-48c6-b3df-4c3533062606
    tls: true
    flow: xtls-rprx-vision
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_3
    type: trojan
    server: 103.177.136.42
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇳_CN_中国
    type: ss
    server: 61.171.92.202
    port: 1001
    cipher: aes-256-gcm
    password: "123"
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇳🇱_NL_荷兰
    type: vless
    server: fast.cd-tur4.ir
    port: 443
    uuid: e7d3fb75-034f-4f3f-83d6-33845dafa81c
    network: ws
    servername: default.ssl.fastly.net
    tls: true
    ws-opts:
      path: /
      headers:
        Host: pan1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇸🇬_SG_新加坡
    type: vless
    server: 8.222.179.80
    port: 443
    uuid: 3e7f67de-648e-4871-b51a-a225214d41ee
    servername: commerce.adobe.com
    tls: true
    client-fingerprint: chrome
    reality-opts:
      public-key: TRP10HqKUXEQ3O-cfsq93DycfBmbJe9KM36yvSa8Mmw
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_4
    type: trojan
    server: 103.177.136.45
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇱🇻_LV_拉脱维亚
    type: vless
    server: 31.57.157.161
    port: 443
    uuid: 09d8ebf3-c4bb-4597-91e4-5cebfa593b7c
    servername: www.yahoo.com
    tls: true
    client-fingerprint: chrome
    reality-opts:
      public-key: L1E6dpkLm0WjID-BpjsIGAOP4SN7YRkREHHbwWvDjwY
      short-id: c79ca291d634a94f
    skip-cert-verify: true
    udp: true
  - name: 🇩🇪_DE_德国
    type: vless
    server: 46.225.226.77
    port: 2095
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    servername: refersion.com
    tls: true
    client-fingerprint: random
    reality-opts:
      public-key: 9nvQaypTgq2UZ_9wSUctYxStDRWNJqe3o9evmKc5UBE
      short-id: bc348c28dbc7b9f5
    skip-cert-verify: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇧🇷_BR_巴西
      - 🇮🇷_IR_伊朗->🇹🇷_TR_土耳其
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇺🇸_US_美国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国->🇳🇱_NL_荷兰
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大_4
      - 🇱🇻_LV_拉脱维亚
      - 🇩🇪_DE_德国
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
